36

I'm running Ubuntu 15.10 server on a Asrock E3C226D2I board. When I get a kernel update or run update-initramfs -u I get a warning about missing firmware:

root@fileserver:~# update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.2.0-27-generic
W: Possible missing firmware /lib/firmware/ast_dp501_fw.bin for module ast

I can't find much information on this particular firmware, other than it is probably for my video card. Since I'm running a server I don't really care about graphics (no monitor attached).

All works fine so I'm ignoring it for now but is there a way to fix this?

36

Its annoying, but harmless. That is coming from the Aspeed VGA module from the IPMI on your server/workstation. It can be safely ignored for now. I took a quick look at the source code of the aspeed DRM driver. It is hardcoded at runtime to look for /lib/firmware/ast_dp501_fw.bin. This provides a way to update for firmware issues at runtime versus needing to be flashed onto the hardware.

Here is the lspci output showing the video card in question from my Asus Workstation which has the same "issue" as it were:

lspci |grep -i aspeed
 01:01.0 VGA compatible controller: ASPEED Technology, Inc. ASPEED Graphics Family (rev 10)

Aspeed's drivers and source for drivers are here (but you shouldn't need them from there unless you have a Windows server):

http://www.aspeedtech.com/support.php?fPath=24

Here is the Bug report: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1751613

7
  • 2
    Issue still exists: Ubuntu 16.04.1 03:00.0 VGA compatible controller: ASPEED Technology, Inc. ASPEED Graphics Family (rev 30) – user27465 May 11 '18 at 5:35
  • 10
    and on Ubuntu 18.04 as well – amenthes Jun 6 '18 at 16:59
  • 1
    something to keep in mind - it's doubtful at this late date that the driver will update to remove bogus warning, or ast_dp501_fw.bin will be added to linux-firmware package. the EoL's on affected workstations/servers have passed. – Jeff Burns Jul 10 '19 at 20:02
  • 1
    Running Ubuntu 18.04 on my Asus - Z10PE-D8 WS and getting the same warning. Jeff, would you recommend ignoring it, or trying to install the driver? – guttermonk Jul 11 '19 at 0:41
  • 2
    Safely ignore it. It's harmless @guttermonk. Nothing to worry about, it is just really annoying chatter in the logs and on the terminal. – Jeff Burns Jul 12 '19 at 5:26
4

Supermicro provide a Google Drive (lol) link to this file here: https://www.supermicro.com/support/faqs/faq.cfm?faq=26876 but I wouldn't use it unless a) you have a Supermicro board and b) you're having problems with the IPMI VGA controller (you're not).

2
  • What does that driver do? Why do they not install it by default? I have a Supermicro computer from earlier this year (2019) and it's still generating this warning... – Alexis Wilke Nov 5 '19 at 1:20
  • 2
    @AlexisWilke, depending on the "they" you're referring to, it's not included for legal reasons - there's no license I can see on the SuperMicro side. As for what it does, you'd have to ask SuperMicro or ASPEED. Just another reason to avoid binary blobs wherever possible. – Adam Baxter Dec 17 '19 at 0:18
0

Josip Medved proposed a solution in a post to avoid the warning:

sudo touch /lib/firmware/ast_dp501_fw.bin

It looks like an empty file is also safe and the warning will stop.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.